Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -4961,6 +8638,6 @@
 Personal function settings for the EOS-1D.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       1    PF0CustomFuncRegistration            int16u
       2    PF1DisableShootingModes              int16u
@@ -4995,6 +8672,6 @@
 =head3 CanonCustom PersonalFuncValues Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       1    PF1Value                             int16u
       2    PF2Value                             int16u
@@ -5041,16 +8718,24 @@
   0x0104   AEBAutoCancel                        int32s
   0x0105   AEBSequence                          int32s
-  0x0106   AEBShotCount                         int32s[n]
+  0x0106   AEBShotCount                         int32s
+           AEBShotCount                         int32s[2]
   0x0107   SpotMeterLinkToAFPoint               int32s
   0x0108   SafetyShift                          int32s
-  0x0109   UsableShootingModes                  int32s[2]
-  0x010a   UsableMeteringModes                  int32s[2]
+  0x0109   UsableShootingModes                  int32s
+           UsableShootingModes                  int32s[2]
+  0x010a   UsableMeteringModes                  int32s
+           UsableMeteringModes                  int32s[2]
   0x010b   ExposureModeInManual                 int32s
   0x010c   ShutterSpeedRange                    int32s[3]
+           ShutterSpeedRange                    int32s[4]
   0x010d   ApertureRange                        int32s[3]
+           ApertureRange                        int32s[4]
   0x010e   ApplyShootingMeteringMode            int32s[8]
   0x010f   FlashSyncSpeedAv                     int32s
-  0x0110   FEMicroadjustment                    int32s[3]
-  0x0111   AEMicroadjustment                    int32s[3]
+  0x0110   AEMicroadjustment                    int32s[3]
+  0x0111   FEMicroadjustment                    int32s[3]
+  0x0112   SameExposureForNewAperture           int32s
+  0x0113   ExposureCompAutoCancel               int32s
+  0x0114   AELockMeterModeAfterFocus            int32s
   0x0201   LongExposureNoiseReduction           int32s
   0x0202   HighISONoiseReduction                int32s
@@ -5063,4 +8748,7 @@
   0x0408   LCDIlluminationDuringBulb            int32s
   0x0409   InfoButtonWhenShooting               int32s
+  0x040a   ViewfinderWarnings                   int32s
+  0x040b   LVShootingAreaDisplay                int32s
+  0x040c   LVShootingAreaDisplay                int32s
   0x0501   USMLensElectronicMF                  int32s
   0x0502   AIServoTrackingSensitivity           int32s
@@ -5087,7 +8775,18 @@
   0x0516   OrientationLinkedAFPoint             int32s
   0x0517   MultiControllerWhileMetering         int32s
+  0x0518   AccelerationTracking                 int32s
+  0x0519   AIServoFirstImagePriority            int32s
+  0x051a   AIServoSecondImagePriority           int32s
+  0x051b   AFAreaSelectMethod                   int32s
+  0x051c   AutoAFPointColorTracking             int32s
+  0x051d   VFDisplayIllumination                int32s
+  0x051e   InitialAFPointAIServoAF              int32s
   0x060f   MirrorLockup                         int32s
-  0x0610   ContinuousShootingSpeed              int32s[3]
+  0x0610   ContinuousShootingSpeed              int32s[6]
+           ContinuousShootingSpeed              int32s[5]
+           ContinuousShootingSpeed              int32s[3]
   0x0611   ContinuousShotLimit                  int32s[2]
+  0x0612   RestrictDriveModes                   int32s
+           RestrictDriveModes                   int32s[2]
   0x0701   Shutter-AELock                       int32s
            AFAndMeteringButtons                 int32s
@@ -5105,6 +8804,15 @@
   0x070c   CustomControls                       int32s
   0x070d   StartMovieShooting                   int32s
+  0x070e   FlashButtonFunction                  int32s
+  0x070f   MultiFunctionLock                    int32s
+  0x0710   TrashButtonFunction                  int32s
+  0x0711   ShutterReleaseWithoutLens            int32s
+  0x0712   ControlRingRotation                  int32s
+  0x0713   FocusRingRotation                    int32s
+  0x0714   RFLensMFFocusRingSensitivity         int32s
+  0x0715   CustomizeDials                       int32s
   0x080b   FocusingScreen                       int32s
-  0x080c   TimerLength                          int32s[4]
+  0x080c   TimerLength                          int32s[3]
+           TimerLength                          int32s[4]
   0x080d   ShortReleaseTimeLag                  int32s
   0x080e   AddAspectRatioInfo                   int32s
@@ -5112,13 +8820,18 @@
   0x0810   LiveViewExposureSimulation           int32s
   0x0811   LCDDisplayAtPowerOn                  int32s
+  0x0812   MemoAudioQuality                     int32s
+  0x0813   DefaultEraseOption                   int32s
+  0x0814   RetractLensOnPowerOff                int32s
+  0x0815   AddIPTCInformation                   int32s
+  0x0816   AudioCompression                     int32s
 
 =head2 CanonVRD Tags
 
 Canon Digital Photo Professional writes VRD (Recipe Data) information as a
-trailer record to JPEG, TIFF, CRW and CR2 images, or as a stand-alone VRD
-file.  The tags listed below represent information found in this record.
-The complete VRD data record may be accessed as a block using the Extra
-'CanonVRD' tag, but this tag is not extracted or copied unless specified
-explicitly.
+trailer record to JPEG, TIFF, CRW and CR2 images, or as stand-alone VRD or
+DR4 files.  The tags listed below represent information found in these
+records.  The complete VRD/DR4 data record may be accessed as a block using
+the Extra 'CanonVRD' or 'CanonDR4' tag, but this tag is not extracted or
+copied unless specified explicitly.
 
   Tag ID       Tag Name                         Writable
@@ -5127,4 +8840,5 @@
   0xffff00f5   IHLData                          CanonVRD IHL
   0xffff00f6   XMP                              XMP
+  0xffff00f7   Edit4Data                        CanonVRD Edit4
 
 =head3 CanonVRD Edit Tags
@@ -5140,8 +8854,8 @@
 =head3 CanonVRD Ver1 Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      2    VRDVersion                           N
-      8    WBAdjRGBLevels                       int16u[3]
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      2    VRDVersion                           no
+      6    WBAdjRGGBLevels                      int16u[4]
      24    WhiteBalanceAdj                      int16u
      26    WBAdjColorTemp                       int16u
@@ -5188,7 +8902,7 @@
 =head3 CanonVRD StampTool Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    StampToolCount                       N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    StampToolCount                       no
 
 =head3 CanonVRD Ver2 Tags
@@ -5196,6 +8910,6 @@
 Tags added in DPP version 2.0 and later.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
       2    PictureStyle                         int16s
       3    IsCustomPictureStyle                 int16s
@@ -5261,4 +8975,6 @@
      74    UnknownOutputHighlightPoint?         int16s
      75    UnknownOutputShadowPoint?            int16s
+     76    CustomColorTone                      int16s
+     77    CustomSaturation                     int16s
      78    CustomContrast                       int16s
      79    CustomLinear                         int16s
@@ -5268,5 +8984,5 @@
      83    CustomOutputHighlightPoint           int16s
      84    CustomOutputShadowPoint              int16s
-     88    CustomPictureStyleData               N
+     88    CustomPictureStyleData               no
      94    ChrominanceNoiseReduction            int16s
      95    LuminanceNoiseReduction              int16s
@@ -5304,7 +9020,56 @@
     142    CheckMark2                           int16u
     144    UnsharpMask                          int16s
-    146    UnsharpMaskStrength                  int16s
-    148    UnsharpMaskFineness                  int16s
-    150    UnsharpMaskThreshold                 int16s
+    146    StandardUnsharpMaskStrength          int16s
+    148    StandardUnsharpMaskFineness          int16s
+    150    StandardUnsharpMaskThreshold         int16s
+    152    PortraitUnsharpMaskStrength          int16s
+    154    PortraitUnsharpMaskFineness          int16s
+    156    PortraitUnsharpMaskThreshold         int16s
+    158    LandscapeUnsharpMaskStrength         int16s
+    160    LandscapeUnsharpMaskFineness         int16s
+    162    LandscapeUnsharpMaskThreshold        int16s
+    164    NeutraUnsharpMaskStrength            int16s
+    166    NeutralUnsharpMaskFineness           int16s
+    168    NeutralUnsharpMaskThreshold          int16s
+    170    FaithfulUnsharpMaskStrength          int16s
+    172    FaithfulUnsharpMaskFineness          int16s
+    174    FaithfulUnsharpMaskThreshold         int16s
+    176    MonochromeUnsharpMaskStrength        int16s
+    178    MonochromeUnsharpMaskFineness        int16s
+    180    MonochromeUnsharpMaskThreshold       int16s
+    182    CustomUnsharpMaskStrength            int16s
+    184    CustomUnsharpMaskFineness            int16s
+    186    CustomUnsharpMaskThreshold           int16s
+    188    CustomDefaultUnsharpStrength         int16s
+    190    CustomDefaultUnsharpFineness         int16s
+    192    CustomDefaultUnsharpThreshold        int16s
+    214    CropCircleActive                     int16s
+    215    CropCircleX                          int16s
+    216    CropCircleY                          int16s
+    217    CropCircleRadius                     int16s
+    220    DLOOn                                int16s
+    221    DLOSetting                           int16s
+    222    DLOShootingDistance                  int16s
+    223    DLODataLength                        no
+    224    DLOInfo                              CanonVRD DLOInfo
+    225    CameraRawColorTone                   int16s
+    226    CameraRawSaturation                  int16s
+    227    CameraRawContrast                    int16s
+    228    CameraRawLinear                      int16s
+    229    CameraRawSharpness                   int16s
+    230    CameraRawHighlightPoint              int16s
+    231    CameraRawShadowPoint                 int16s
+    232    CameraRawOutputHighlightPoint        int16s
+    233    CameraRawOutputShadowPoint           int16s
+
+=head3 CanonVRD DLOInfo Tags
+
+Tags added when DLO (Digital Lens Optimizer) is on.
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      4    DLOSettingApplied                    int16s
+      5    DLOVersion                           string[10]
+     10    DLOData                              no
 
 =head3 CanonVRD IHL Tags
@@ -5313,9 +9078,162 @@
   ------   --------                             --------
   0x0001   IHL_EXIF                             EXIF
-           IHL_EXIF?                            N
-  0x0003   ThumbnailImage                       N
-  0x0004   PreviewImage                         N
-  0x0005   RawCodecVersion                      N
-  0x0006   CRCDevelParams?                      N
+           IHL_EXIF?                            no
+  0x0003   ThumbnailImage                       no
+  0x0004   PreviewImage                         no
+  0x0005   RawCodecVersion                      no
+  0x0006   CRCDevelParams?                      no
+
+=head3 CanonVRD Edit4 Tags
+
+Canon DPP version 4 edit information.
+
+   Index   Tag Name                             Writable
+   -----   --------                             --------
+      0    DR4                                  CanonVRD DR4
+
+=head3 CanonVRD DR4 Tags
+
+Tags written by Canon DPP version 4 in CanonVRD trailers and DR4 files. Each
+tag has three associated flag words which are stored with the directory
+entry, some of which are extracted as a separate tag, indicated in the table
+below by a decimal appended to the tag ID (.0, .1 or .2).
+
+  Tag ID       Tag Name                         Writable
+  ------       --------                         --------
+  'header'     DR4Header                        CanonVRD DR4Header
+  0x10002      Rotation                         yes
+  0x10003      AngleAdj                         yes
+  0x10021      CustomPictureStyle               yes
+  0x10101      CheckMark                        yes
+  0x10200      WorkColorSpace                   yes
+  0x20001      RawBrightnessAdj                 yes
+  0x20101      WhiteBalanceAdj                  yes
+  0x20102      WBAdjColorTemp                   yes
+  0x20105      WBAdjMagentaGreen                yes
+  0x20106      WBAdjBlueAmber                   yes
+  0x20125      WBAdjRGGBLevels                  yes
+  0x20200      GammaLinear                      yes
+  0x20301      PictureStyle                     yes
+  0x20303      ContrastAdj                      yes
+  0x20304      ColorToneAdj                     yes
+  0x20305      ColorSaturationAdj               yes
+  0x20306      MonochromeToningEffect           yes
+  0x20307      MonochromeFilterEffect           yes
+  0x20308      UnsharpMaskStrength              yes
+  0x20309      UnsharpMaskFineness              yes
+  0x2030a      UnsharpMaskThreshold             yes
+  0x2030b      ShadowAdj                        yes
+  0x2030c      HighlightAdj                     yes
+  0x20310      SharpnessAdj                     yes
+  0x20310.0    SharpnessAdjOn                   yes
+  0x20311      SharpnessStrength                yes
+  0x20400      ToneCurve                        CanonVRD ToneCurve
+  0x20400.1    ToneCurveOriginal                yes
+  0x20410      ToneCurveBrightness              yes
+  0x20411      ToneCurveContrast                yes
+  0x20500      AutoLightingOptimizer            yes
+  0x20500.0    AutoLightingOptimizerOn          yes
+  0x20600      LuminanceNoiseReduction          yes
+  0x20601      ChrominanceNoiseReduction        yes
+  0x20670      ColorMoireReduction              yes
+  0x20670.0    ColorMoireReductionOn            yes
+  0x20701      ShootingDistance                 yes
+  0x20702      PeripheralIllumination           yes
+  0x20702.0    PeripheralIlluminationOn         yes
+  0x20703      ChromaticAberration              yes
+  0x20703.0    ChromaticAberrationOn            yes
+  0x20704      ColorBlurOn                      yes
+  0x20705      DistortionCorrection             yes
+  0x20705.0    DistortionCorrectionOn           yes
+  0x20706      DLOSetting                       yes
+  0x20706.0    DLOOn                            yes
+  0x20707      ChromaticAberrationRed           yes
+  0x20708      ChromaticAberrationBlue          yes
+  0x20709      DistortionEffect                 yes
+  0x2070b      DiffractionCorrectionOn          yes
+  0x20900      ColorHue                         yes
+  0x20901      SaturationAdj                    yes
+  0x20910      RedHSL                           yes
+  0x20911      OrangeHSL                        yes
+  0x20912      YellowHSL                        yes
+  0x20913      GreenHSL                         yes
+  0x20914      AquaHSL                          yes
+  0x20915      BlueHSL                          yes
+  0x20916      PurpleHSL                        yes
+  0x20917      MagentaHSL                       yes
+  0x20a00      GammaInfo                        CanonVRD GammaInfo
+  0x30101      CropAspectRatio                  yes
+  0x30102      CropAspectRatioCustom            yes
+  0xf0100      CropInfo                         CanonVRD CropInfo
+  0xf0500      CustomPictureStyleData           yes
+  0xf0510      StampInfo                        CanonVRD StampInfo
+  0xf0511      DustInfo                         CanonVRD DustInfo
+  0xf0512      LensFocalLength                  yes
+
+=head3 CanonVRD DR4Header Tags
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      3    DR4CameraModel                       int32u
+
+=head3 CanonVRD ToneCurve Tags
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    ToneCurveColorSpace                  int32u
+      1    ToneCurveShape                       int32u
+      3    ToneCurveInputRange                  int32u[2]
+      5    ToneCurveOutputRange                 int32u[2]
+      7    RGBCurvePoints                       int32u[21]
+     10    ToneCurveX                           int32u
+     11    ToneCurveY                           int32u
+     45    RedCurvePoints                       int32u[21]
+     83    GreenCurvePoints                     int32u[21]
+    121    BlueCurvePoints                      int32u[21]
+
+=head3 CanonVRD GammaInfo Tags
+
+  Index8   Tag Name                             Writable
+  ------   --------                             --------
+      2    GammaContrast                        double
+      3    GammaColorTone                       double
+      4    GammaSaturation                      double
+      5    GammaUnsharpMaskStrength             double
+      6    GammaUnsharpMaskFineness             double
+      7    GammaUnsharpMaskThreshold            double
+      8    GammaSharpnessStrength               double
+      9    GammaShadow                          double
+     10    GammaHighlight                       double
+     12    GammaBlackPoint                      double
+     13    GammaWhitePoint                      double
+     14    GammaMidPoint                        double
+     15    GammaCurveOutputRange                double[2]
+
+=head3 CanonVRD CropInfo Tags
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    CropActive                           int32s
+      1    CropRotatedOriginalWidth             int32s
+      2    CropRotatedOriginalHeight            int32s
+      3    CropX                                int32s
+      4    CropY                                int32s
+      5    CropWidth                            int32s
+      6    CropHeight                           int32s
+      8    CropRotation                         double
+     10    CropOriginalWidth                    int32s
+     11    CropOriginalHeight                   int32s
+
+=head3 CanonVRD StampInfo Tags
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      2    StampToolCount                       no
+
+=head3 CanonVRD DustInfo Tags
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      2    DustDeleteApplied                    no
 
 =head2 Casio Tags
@@ -5369,5 +9287,5 @@
   0x2089   FaceInfo1                            Casio FaceInfo1
            FaceInfo2                            Casio FaceInfo2
-           FaceInfoUnknown?                     Y
+           FaceInfoUnknown?                     yes
   0x211c   FacesDetected                        int8u
   0x3000   RecordMode                           int16u
@@ -5386,5 +9304,5 @@
   0x3016   Enhancement                          int16u
   0x3017   ColorFilter                          int16u
-  0x301b   UnknownMode?                         int16u
+  0x301b   ArtMode                              int16u
   0x301c   SequenceNumber                       int16u
   0x301d   BracketSequence                      int16u[2]
@@ -5395,4 +9313,5 @@
   0x3031   SpecialEffectSetting                 int16u
   0x3103   DriveMode                            int16u
+  0x310b   ArtModeParameters                    int8u[3]
   0x4001   CaptureFrameRate                     int16u[n]
   0x4003   VideoQuality                         int16u
@@ -5402,6 +9321,6 @@
 Face-detect tags extracted from models such as the EX-H5.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    FacesDetected                        int8u
       1    FaceDetectFrameSize                  int16u[2]
@@ -5421,6 +9340,6 @@
 Face-detect tags extracted from models such as the EX-H20G and EX-ZR100.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       2    FacesDetected                        int8u
       4    FaceDetectFrameSize                  int16u[2]
@@ -5442,12 +9361,12 @@
 Casio QV-7000SX.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-     44    CasioQuality                         N
-     55    FocalRange?                          N
-     77    DateTimeOriginal                     N
-     98    ModelType                            N
-    114    ManufactureIndex                     N
-    124    ManufactureCode                      N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     44    CasioQuality                         no
+     55    FocalRange?                          no
+     77    DateTimeOriginal                     no
+     98    ModelType                            no
+    114    ManufactureIndex                     no
+    124    ManufactureCode                      no
 
 =head3 Casio AVI Tags
